Skip to main content
GET
/
v1
/
crypto
/
exchange-flows
Get Crypto Exchange Flows
curl --request GET \
  --url https://data-tools.prd.arrays.org/api/v1/crypto/exchange-flows \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "date": "<string>",
      "datetime": 123,
      "exchange": "<string>",
      "inflow_mean": 123,
      "inflow_mean_ma7": 123,
      "inflow_top10": 123,
      "inflow_total": 123,
      "netflow_total": 123,
      "outflow_mean": 123,
      "outflow_mean_ma7": 123,
      "outflow_top10": 123,
      "outflow_total": 123,
      "symbol": "<string>",
      "window": "<string>"
    }
  ],
  "error": {
    "code": "RESOURCE_NOT_FOUND",
    "details": [
      {
        "field": "<string>",
        "got": "<string>",
        "reason": "<string>"
      }
    ],
    "docs_url": "<string>",
    "examples": [
      "<string>"
    ],
    "hint": "<string>",
    "message": "The requested resource was not found.",
    "suggestions": [
      "<string>"
    ]
  },
  "pagination": "<unknown>",
  "request_id": "<string>",
  "success": true
}

Authorizations

X-API-Key
string
header
required

API Key authentication. Example: "your-api-key-here"

Query Parameters

symbol
string
required

Token symbol (case-insensitive, e.g., BTC, btc, ETH, eth)

start_time
integer<int64>
required

Start time (Unix timestamp in seconds)

end_time
integer<int64>
required

End time (Unix timestamp in seconds)

limit
integer<int32>

Maximum number of records (default: 50, max: 1000)

window
enum<string>

Time window granularity (hour/day). Default: hour

Available options:
hour,
day

Response

Successfully returns crypto exchange flows data

data
object[]
error
object
pagination
any
request_id
string
success
boolean